Nextcloud
---

Fully automated luxury Nextcloud via docker-swarm. 

Based on the official [`nextcloud` image][nextcloud-docker].

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. Generate secrets:
   ```
   abra secret_generate db_password v1
   abra secret_generate db_root_password v1
   abra secret_generate admin_password
   ```

7. `abra deploy`

[nextcloud-docker]: https://hub.docker.com/_/nextcloud/
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
